/*

  The contents of this file are subject to the Mozilla Public License Version
  1.1 (the "License"); you may not use this file except in compliance with
  the License. You may obtain a copy of the License at

           http://www.mozilla.org/MPL/

  Software distributed under the License is distributed on an "AS IS" basis,
  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
  for the specific language governing rights and limitations under the License.

  The Original Code is AS3 Formation.

  The Initial Developer of the Original Code is
  Matthieu  - http://www.actionscript-facile.com
  Portions created by the Initial Developer are Copyright (C) 2010
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

*/
package voiture
{
	/**
	 * Voiture destinée aux particuliers.
	 * 
	 * @author Matthieu
	 */
	public class VoiturePublic
	{
		
		private var sModele:String;
		private var sState:String;
		private var sType:String;
		private var nPrix : Number;

		
		/**
		 * Le constructeur pour initialiser les données de notre objet.
		 * 
		 */
		public function VoiturePublic(modele:String, etat:String, type:String, prix:Number)
		{
			sModele = modele;
			sState = etat;
			sType = type;
			nPrix = prix;
		}

		/**
		 * Retourne l'ensemble des caractéristiques de l'objet voiture.
		 * 
		 */
		public function getDescription() : String
		{
			var sMsg:String = "La voiture, modèle "+sModele+", son état est : "+sState+". " +
			"De plus, c'est un "+sType+".\nSon prix est de "+nPrix+" euros.";
			return sMsg;
		}
	}
}
